Subject: Re: linux-next: build failure after merge of the ath-next tree

From: Jeff Johnson <[email-masked]>
Date: Tue, 8 Apr 2025 08:23:31 -0700

On 4/8/2025 8:09 AM, Jeff Johnson wrote:
> On 4/7/2025 6:37 PM, Stephen Rothwell wrote:
>> Hi Dave,
>>
>> On Tue, 8 Apr 2025 01:06:28 +0000 "Dr. David Alan Gilbert" <[email-masked]> wrote:
>>>
>>> * Stephen Rothwell ([email-masked]) wrote:
>>>>
>>>> After merging the ath-next tree, today's linux-next build (x86_64
>>>> allmodconfig) failed like this:
>>>>
>>>> drivers/net/wireless/ath/ath12k/ahb.c: In function 'ath12k_ahb_stop':
>>>> drivers/net/wireless/ath/ath12k/ahb.c:337:9: error: implicit declaration of function 'del_timer_sync'; did you mean 'dev_mc_sync'? [-Wimplicit-function-declaration]
>>>>   337 |         del_timer_sync(&ab->rx_replenish_retry);
>>>>       |         ^~~~~~~~~~~~~~
>>>>       |         dev_mc_sync
>>>>
>>>> Caused by commit
>>>>
>>>>   6cee30f0da75 ("wifi: ath12k: add AHB driver support for IPQ5332")
>>>>
>>>> I have used the ath-next tree from next-20250407 for today.  
>>>
>>> I guess a clash with the recent:
>>> Fixes: 8fa7292fee5c ("treewide: Switch/rename to timer_delete[_sync]()")
>>
>> I will try that out tomorrow.
> 
> Yes, looks like you'll need to carry a patch:
> s/del_timer_sync/timer_delete_sync/
> 
> Until that renaming patch makes it down to my tree and we rename.

NM. Since the timer_delete_sync() API is already in my tree I can make a
one-off patch for this.

/jeff